#pragma once
#include "includes.h"
#include "config.h"

#ifdef DEBUG_TOKENS
inline void output_change_stack(int stack_effect);

void output_debug(const char* msg, int stack_effect, bool with_newline=true);
void output_debug(string msg, int stack_effect, bool with_newline=true);
#endif